Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356528 - memory leak in glusterd-georeplication
Summary: memory leak in glusterd-georeplication
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Saravanakumar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 10:24 UTC by Saravanakumar
Modified: 2017-03-10 06:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-10 06:33:38 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Saravanakumar 2016-07-14 10:24:27 UTC
Description of problem:

Fix for memory leak and other issues revealed by coverity.

Version-Release number of selected component (if applicable):
NA

Comment 1 Vijay Bellur 2016-07-14 10:58:17 UTC
REVIEW: http://review.gluster.org/14925 (glusterd/geo-rep: fix memory  leak and minor fixes) posted (#1) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)

Comment 2 Vijay Bellur 2016-07-18 07:20:46 UTC
REVIEW: http://review.gluster.org/14925 (glusterd/geo-rep: fix memory  leak and minor fixes) posted (#2) for review on master by Saravanakumar Arumugam (sarumuga@redhat.com)

Comment 3 Vijay Bellur 2016-07-20 22:17:14 UTC
COMMIT: http://review.gluster.org/14925 committed in master by Jeff Darcy (jdarcy@redhat.com) 
------
commit dcf75f7dac091cdb8ab0af2e8f2ca30f6272f8d1
Author: Saravanakumar Arumugam <sarumuga@redhat.com>
Date:   Thu Jul 14 14:25:35 2016 +0530

    glusterd/geo-rep: fix memory  leak and minor fixes
    
    Fix for memory leak and other issues revealed by coverity.
    
    Change-Id: Ib66eaa3a1a086d4b487534cebc56af5e1f9bf576
    BUG: 1356528
    Signed-off-by: Saravanakumar Arumugam <sarumuga@redhat.com>
    Reviewed-on: http://review.gluster.org/14925
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>
    Reviewed-by: Jeff Darcy <jdarcy@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.